Skip to main content
DELETE
/
v1
/
items
/
{itemId}
/
variations
/
{variationId}
/
values
/
{variationValueId}
Delete Item Variation Value
curl --request DELETE \
  --url https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations/{variationId}/values/{variationValueId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

itemId
integer<int32>
required

The unique id of the item.

variationId
integer<int32>
required

The unique id of the variation.

variationValueId
integer<int32>
required

The unique id of the variation value.

Response